#version 120
varying vec2 uv;

uniform vec4 color;
uniform sampler2D textureSampler;
uniform float textureWidth;
uniform float textureHeight;
uniform float offset;

void main() {
	vec4 texColor0 = texture2D(textureSampler, uv);
	vec4 texColor1 = texture2D(textureSampler, uv - offset / textureSize);
	vec4 texColor2 = texture2D(textureSampler, uv - offset / textureSize);
	vec4 texColor3 = texture2D(textureSampler, uv - offset / textureSize);
	vec4 texColor4 = texture2D(textureSampler, uv - offset / textureSize);
	gl_FragColor = texColor0;
}